# Query one number

`POST https://api.paybeta.ng/v2/transaction/query`

Authentication: `P-API-KEY` header.

Status of one recipient, with its reference (default `<reference>-<row>`).

## Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `reference` | string | yes |  |

## Request: Request body

```json
{
    "reference": "{{batchReference}}-2"
}
```

## Response 200: Success

```json
{
    "status": "successful",
    "message": "Your glo airtime payment is successful",
    "code": "00",
    "data": {
        "paymentStatus": "Delivered",
        "reference": "PAYROLL-OCT-2",
        "amount": 500,
        "amountPaid": 480,
        "product": "Glo Airtime",
        "customerId": "08051234567",
        "token": "0",
        "unit": null,
        "transactionId": "API-17619840171234567",
        "transactionDate": "2026-10-05T08:00:12.000000Z"
    }
}
```
